<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('salary_and_wages', function (Blueprint $table) {
            $table->decimal('fixed_pagibig_amount_er', 12, 2)->after('fixed_pagibig_contribution')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('salary_and_wages', function (Blueprint $table) {
            $table->dropColumn('fixed_pagibig_amount_er');
        });
    }
};
